Bug 25268 - 2.1.0 вышел год назад
: 2.1.0 вышел год назад
Status: CLOSED LATER
: Sisyphus
(All bugs in Sisyphus/qdvdauthor)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-03-22 21:52 by
Modified: 2011-04-18 16:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-03-22 21:52:19
2.1.0 вышел год назад
------- Comment #1 From 2011-03-29 14:07:59 -------
Уже 14 месяцев пытаюсь его собрать, но 
был segfault with /usr/lib/qt3/bin/uic qplayer/engines/uidialogmplayersetup.ui
-i uidialogmplayersetup.h in qdvdauthor dir
------- Comment #2 From 2011-03-29 14:10:57 -------
Щас есть debuginfo, если до сих пор segfault, можно и отловить. Сигнальте в
джаббер, ежели чего.
------- Comment #3 From 2011-03-29 14:50:06 -------
(В ответ на комментарий №1)
> был segfault with /usr/lib/qt3/bin/uic
Попробовал тупо собрать -- не заметил, но там ошибки в коде поперли.
------- Comment #4 From 2011-03-29 14:54:32 -------
Ладно, вечерком и я гляну :)
------- Comment #5 From 2011-03-29 15:11:27 -------
После замены Render:Render на Render в server.cpp:
-o .obj/parser.o parser.cpp
/usr/include/libavutil/common.h:168:47: error: ‘UINT64_C’ was not declared in
this scope
------- Comment #6 From 2011-03-29 16:51:27 -------
А ничего, что оно с -O0 собирается? Может быть, включить оптимизацию на 2? Или
есть какой-то незвестный мне фактор, из-за чего оптимизация неуместна?
------- Comment #7 From 2011-03-29 17:12:09 -------
В новой версии в server.cpp нет Render:Render ;)

В общем, оно уже как бы собирается, надо только довести до конца, запустить и
потыкаться по менюшкам...
------- Comment #8 From 2011-03-29 18:08:26 -------
Что-то ему не нравится:

qdvdauthor: Fatal IO error: client killed
[Thread 0xb6cc1b70 (LWP 23663) exited]

Program exited with code 01.

Рою дальше.
------- Comment #9 From 2011-03-29 18:39:47 -------
(В ответ на комментарий №7)
> В новой версии в server.cpp нет Render:Render ;)
Render::Render
Это наверное из-за того, что я собираю с Qt4
Я собирал
QTDIR="" ./configure --no-configurator --prefix=%_prefix --omit-local-ffmpeg
--qt4-dir=%_qt4dir
------- Comment #10 From 2011-03-29 18:46:04 -------
А, ну я с Qt3. Пока непонятно, что там за глюк, но, кажется, до локализации уже
недолго. Заюзаю для конфига Ваши параметры на всякий...
------- Comment #11 From 2011-03-29 20:21:55 -------
"qdvdauthor: Fatal IO error: client killed"

Споткнулся на том, что ниже. Это было открытие диалога с выбором видео-файла,
thumbnails генерируются долго, поэтому переключился в xterm, на этом и
вывалился. Завтра вечером продолжу (если zerg@ не соберёт с qt4 :) ).

(gdb) bt
#0  0xb779db07 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0xb779f29e in abort () at abort.c:92
#2  0xb77d8c47 in __libc_message (do_abort=2, 
    fmt=0xb7899474 "*** glibc has detected an error in %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#3  0xb77deb8a in malloc_printerr (action=<value optimized out>, 
    str=<value optimized out>, ptr=0xb63d8260) at malloc.c:6267
#4  0xb77e04cb in _int_free (av=<value optimized out>, p=0xb63d8258) at
malloc.c:4795
#5  0xb77e3751 in __libc_free (mem=0xb63d8260) at malloc.c:3739
#6  0xb756493c in handle_response (dpy=0x8665710, response=0xb63d8260,
in_XReply=0)
    at xcb_io.c:283
#7  0xb7564fd8 in _XEventsQueued (dpy=0x8665710, mode=2) at xcb_io.c:305
#8  0xb75558f8 in XPending (dpy=0x8665710) at Pending.c:55
#9  0xb7c05d05 in QEventLoop::processEvents (this=0x865c380, flags=4)
    at kernel/qeventloop_x11.cpp:150
#10 0xb7c49637 in QEventLoop::enterLoop (this=0x865c380) at
kernel/qeventloop.cpp:201
#11 0xb7c3b5b4 in QApplication::enter_loop (this=0xbfffe764)
    at kernel/qapplication.cpp:2797
#12 0xb7d7532f in QDialog::exec (this=0xbfffd64c) at dialogs/qdialog.cpp:435
#13 0x081be56b in SourceToolBar::slotAddMovie (this=0x8808538) at
sourcetoolbar.cpp:646
#14 0x080cbd7e in QDVDAuthor::slotEditAddMovie (this=0xbfffe4f0) at
qdvdauthor.cpp:1563
#15 0x083243ea in QDVDAuthor::qt_invoke (this=0xbfffe4f0, _id=123,
_o=0xbfffdb38)
    at .moc/moc_qdvdauthor.cpp:317
#16 0xb7c78231 in QObject::activate_signal (this=0x86914e8, clist=0x8829480,
o=0xbfffdb38)
    at kernel/qobject.cpp:2359
#17 0xb7c7839b in QObject::activate_signal (this=0x86914e8, signal=2)
    at kernel/qobject.cpp:2328
#18 0xb7e921ce in QAction::activated (this=0x86914e8)
    at .moc/release-shared-mt/moc_qaction.cpp:150
#19 0xb7d4ab25 in QAction::internalActivation (this=0x86914e8) at
widgets/qaction.cpp:982
#20 0xb7e91b1a in QAction::qt_invoke (this=0x86914e8, _id=8, _o=0xbfffdc88)
    at .moc/release-shared-mt/moc_qaction.cpp:168
#21 0xb7c78231 in QObject::activate_signal (this=0x8699b38, clist=0x8699bc0,
o=0xbfffdc88)
---Type <return> to continue, or q <return> to quit---
    at kernel/qobject.cpp:2359
#22 0xb7e7b7ee in QSignal::signal (this=0x8699b38, t0=...)
    at .moc/release-shared-mt/moc_qsignal.cpp:100
#23 0xb7c89ff4 in QSignal::activate (this=0x8699b38) at kernel/qsignal.cpp:215
#24 0xb7d2592b in QPopupMenu::mouseReleaseEvent (this=0x8698f30, e=0xbfffdff8)
    at widgets/qpopupmenu.cpp:1743
#25 0xb7c9b316 in QWidget::event (this=0x8698f30, e=0xbfffdff8) at
kernel/qwidget.cpp:4680
#26 0xb7c3b336 in QApplication::internalNotify (this=0xbfffe764,
receiver=0x8698f30, 
    e=0xbfffdff8) at kernel/qapplication.cpp:2639
#27 0xb7c3c762 in QApplication::notify (this=0xbfffe764, receiver=0x8698f30,
e=0xbfffdff8)
    at kernel/qapplication.cpp:2425
#28 0xb7bfb07e in QApplication::sendSpontaneousEvent (receiver=0x8698f30,
event=0xbfffdff8)
    at kernel/qapplication.h:502
#29 0xb7bf9a57 in QETWidget::translateMouseEvent (this=0x8698f30,
event=0xbfffe3bc)
    at kernel/qapplication_x11.cpp:4288
#30 0xb7bf8b9f in QApplication::x11ProcessEvent (this=0xbfffe764,
event=0xbfffe3bc)
    at kernel/qapplication_x11.cpp:3610
#31 0xb7c05cc6 in QEventLoop::processEvents (this=0x865c380, flags=4)
    at kernel/qeventloop_x11.cpp:195
#32 0xb7c49637 in QEventLoop::enterLoop (this=0x865c380) at
kernel/qeventloop.cpp:201
#33 0xb7c495c8 in QEventLoop::exec (this=0x865c380) at
kernel/qeventloop.cpp:148
#34 0xb7c3b48c in QApplication::exec (this=0xbfffe764) at
kernel/qapplication.cpp:2762
#35 0x0806b70d in main (argc=1, argv=0xbfffe964) at main.cpp:199
------- Comment #12 From 2011-03-29 20:28:50 -------
Если не переключаться, валится с:
qdvdauthor: xcb_io.c:221: poll_for_event: Проверочное утверждение `(((long)
(event_sequence) - (long) (dpy->request)) <= 0)' не выполнено.
------- Comment #13 From 2011-03-30 10:57:59 -------
Кстати, в git апстрима уже версия 2.2.0, но оно типа "not released". Попробую
его, правда, тестировать придётся ещё тщательней...
------- Comment #14 From 2011-03-30 13:07:32 -------
И эта версия легко собирается с Qt4.

Вечером сяду тестировать. Никто не против, если я его из gear соберу?
------- Comment #15 From 2011-03-30 14:28:36 -------
(В ответ на комментарий №14)
> Вечером сяду тестировать. Никто не против, если я его из gear соберу?
Думаю, как-минимум, хуже не будет
------- Comment #16 From 2011-03-30 19:02:43 -------
Нет, 2.2.0 слишком сырой, а 2.1.0 неясно, в чём баг, но, подозреваю, он может
быть и в самом qt3, или даже в xorg. Слишком неподъёмная задача для меня :(
------- Comment #17 From 2011-03-30 19:05:56 -------
(In reply to comment #13)
> Кстати, в git апстрима уже версия 2.2.0, но оно типа "not released". Попробую
Впереди апстрима стоит бегать только тогда, когда к тому есть веские основания
и на то есть много здоровья.
------- Comment #18 From 2011-03-30 19:11:53 -------
В данном случае веских оснований нет. Но есть ещё один запасной вариант:
попробовать 2.1.0 без qt-mt. Если и это не поможет, тогда я в растерянности
буду :)
------- Comment #19 From 2011-04-15 20:23:31 -------
В общем, там всё совсем плохо. Так что, полагаю, более продуктивным будет
смотреть в сторону dvdstyler, поскольку проект развивается, в отличие от
qdvdauthor.

PS. А экскурсия внутрь qt была познавательной ;)
------- Comment #20 From 2011-04-18 16:07:33 -------
Ну да ладно